<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.jpa.FacetConfiguration com.intellij.persistence.model.PersistencePackagePointer getPersistencePackagePointer()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider com.intellij.jpa.JpaConsoleProvider.MyRunner createRunner(com.intellij.openapi.project.Project, com.intellij.persistence.model.PersistencePackagePointer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.TableInfo name">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.FacetConfiguration.Ready">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil PRIMARY_KEY_REFERENCED_COLUMN_INFO_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaEventsCollector">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.17890.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.AbstractQlModel java.lang.Object[] getDependenciesForEntitiesCache(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaImplementationProvider java.util.List&lt;com.intellij.jpa.JpaLibraryCoordinates&gt; getAutoDetectionCoordinates()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaLibraryCoordinates JpaLibraryCoordinates(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil java.util.List&lt;T&gt; getColumnVariants(java.util.Collection&lt;? extends com.intellij.database.psi.DbDataSource&gt;, com.intellij.jpa.ORMReferencesUtil.TableInfo, com.intellij.jpa.jpb.model.liquibase.ns.PhysicalNamingStrategy, com.intellij.util.Function&lt;? super com.intellij.database.psi.DbColumn,? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider.MyRunner com.intellij.openapi.project.Project getProject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaLibraryCoordinates java.lang.String externalSystemName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaMessages java.util.function.Supplier&lt;java.lang.String&gt; messagePointer(java.lang.String, java.lang.Object[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil PRIMARY_KEY_COLUMN_INFO_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaEntityLineMarkerActionsProvider EP_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.FacetConfiguration.NotReady">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JakartaConsoleProvider.JakartaRunner JakartaRunner(com.intellij.openapi.project.Project, com.intellij.persistence.model.PersistencePackagePointer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil SCHEMA_NAME_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider com.intellij.jpa.JpaConsoleProvider.MyQueryRunner createQueryRunner(com.intellij.openapi.module.Module, java.util.List&lt;com.intellij.persistence.model.PersistencePackagePointer&gt;, com.intellij.jpa.engine.QlScriptModel)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaEntityLineMarkerActionsProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil TABLE_GENERATOR_INFO_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.DataSourceRelatedReferenceFixProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil CATALOG_NAME_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ConsoleTarget">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider.MyRunner MyRunner(com.intellij.openapi.project.Project, com.intellij.persistence.model.PersistencePackagePointer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.PersistenceAttributesProvider com.intellij.jpa.model.common.persistence.mapping.AttributeType getAnnotationAttributeType(com.intellij.jpa.model.common.persistence.mapping.AttributeType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.SetupDatasourceResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.17890.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil com.intellij.psi.PsiMember getTargetMember(org.jetbrains.uast.UElement, boolean, com.intellij.javaee.utils.JavaeeClass)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.SubgraphNameReference">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.PersistenceUnitConstants">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.6461.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.AbstractQlModel.ClassQlAttribute">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil REFERENCED_COLUMN_INFO_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil boolean isTableAccepted(com.intellij.database.model.DasObject, com.intellij.jpa.ORMReferencesUtil.TableInfo, com.intellij.jpa.jpb.model.liquibase.ns.PhysicalNamingStrategy)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaQueryParameterReferenceProvider ALL_PATTERNS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.PersistenceUnitPropertiesProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider.MyRunner com.intellij.database.run.ConsoleRunConfiguration createRunConfiguration()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil java.util.Collection&lt;com.intellij.database.psi.DbTable&gt; getTableVariants(java.util.Collection&lt;? extends com.intellij.database.psi.DbDataSource&gt;, java.lang.String, com.intellij.jpa.jpb.model.liquibase.ns.PhysicalNamingStrategy)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil DISCRIMINATOR_TABLE_INFO_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil GENERAL_TABLE_REFERENCES_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil COLUMN_ANNO_TABLE_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.PsiElementInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.17011.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaImplementationProvider void setDefaultProperties(com.intellij.jpa.model.xml.persistence.PersistenceUnit)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaImplementationProvider java.lang.String getProviderClassName(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.5644.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider void addDefaultRunners(java.util.Collection&lt;? super com.intellij.database.script.PersistenceConsoleProvider.Runner&gt;, com.intellij.openapi.project.Project, com.intellij.persistence.model.PersistencePackagePointer, com.intellij.jpa.engine.QlScriptModel)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil java.util.Collection&lt;com.intellij.database.psi.DbElement&gt; getSchemaVariants(java.util.Collection&lt;? extends com.intellij.database.psi.DbDataSource&gt;, java.lang.String, com.intellij.jpa.jpb.model.liquibase.ns.PhysicalNamingStrategy)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaLibraryCoordinates">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.DataSourceRelatedReference DataSourceRelatedReference(com.intellij.jpa.jpb.model.orm.model.OrmFramework, T)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JakartaConsoleProvider.JakartaQueryRunner">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.AbstractQlModel.MappingQlEntity.MappingQlAttribute com.intellij.jpa.model.common.persistence.mapping.AttributeType getType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaQueryReferenceProvider ALL_PATTERNS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil com.intellij.jpa.ORMReferencesUtil.TableInfo getEntityTableInfo(org.jetbrains.uast.UElement, com.intellij.psi.PsiElement, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil GENERAL_COLUMN_INFO_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.DbViewNavigatableResolveTarget DbViewNavigatableResolveTarget(com.intellij.database.psi.DbElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.10203.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider.MyRunner boolean isJava9()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.4892.42&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil com.intellij.jpa.jpb.model.liquibase.ns.PhysicalNamingStrategy getNamingStrategy(com.intellij.psi.PsiClass, com.intellij.jpa.jpb.model.orm.model.OrmFramework)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider.MyQueryRunner com.intellij.jpa.engine.JpaConsoleBase createConsole(com.intellij.persistence.model.PersistencePackagePointer, com.intellij.database.run.ConsoleRunConfiguration, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.FacetConfiguration com.intellij.persistence.model.PersistencePackage getPersistencePackage()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaMetaContributor.XmlEntityMetaData com.intellij.util.xml.GenericDomValue getNameElement(com.intellij.jpa.model.xml.persistence.mapping.Entity)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JakartaConsoleProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaVersion JPA_2_2">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil com.intellij.psi.PsiReference[] getColumnReferences(com.intellij.psi.PsiElement, com.intellij.util.Function&lt;? super org.jetbrains.uast.UElement,com.intellij.jpa.ORMReferencesUtil.TableInfo&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.TableInfo catalog">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaRelationshipMemberReferencesUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaQueryLanguageSubstitutor java.lang.String getProviderName(com.intellij.jpa.facet.JpaFacet)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.FacetConfiguration com.intellij.persistence.facet.ModifiablePersistenceFacet getModifiableFacet()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil com.intellij.psi.PsiReference[] getTableReferences(com.intellij.jpa.jpb.model.orm.model.OrmFramework, com.intellij.psi.PsiElement, com.intellij.util.Function&lt;? super org.jetbrains.uast.UElement,? extends java.util.Collection&lt;com.intellij.database.psi.DbTable&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaVersion JPA_3_0">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil COLUMN_FOR_CONSTRAINT_ANNO_REFERENCE_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.PersistentAttributePresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.PersistenceAttributesProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.AttributeRefactoringSupport com.intellij.persistence.model.PersistentAttribute getModelElementForPsiMember(com.intellij.psi.PsiMember)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.PersistenceAttributesProvider com.intellij.jpa.model.common.persistence.mapping.AttributeType[] getAttributes()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.EntityGraphNameReference">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.QuotedPsiReferenceBase QuotedPsiReferenceBase(com.intellij.jpa.jpb.model.orm.model.OrmFramework, com.intellij.jpa.ORMReferencesUtil.PsiElementInfo&lt;? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.FacetConfiguration boolean getHasAssignedDataSource()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.QuotedPsiReferenceBase java.util.Collection&lt;com.intellij.codeInsight.lookup.LookupElement&gt; setTailType(java.util.Collection&lt;com.intellij.codeInsight.lookup.LookupElement&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.17011.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.DataSourceRelatedReference com.intellij.jpa.jpb.model.orm.model.OrmFramework getOrmFramework()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.PersistenceAttributesProvider com.intellij.jpa.model.common.persistence.mapping.AttributeType getAttributeType(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.MultipleTableInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaEntityGraphUtils">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.AttributeNodeNameReference">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil boolean processTables(java.util.Collection&lt;com.intellij.database.psi.DbDataSource&gt;, com.intellij.util.PairProcessor&lt;com.intellij.database.psi.DbDataSource,com.intellij.database.model.DasObject&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil com.intellij.psi.ResolveResult[] getDbElementResolveResults(java.util.Collection&lt;? extends com.intellij.database.psi.DbElement&gt;, java.lang.String, java.util.function.BiFunction&lt;java.lang.String,java.lang.String,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaMetaContributor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JavaeePersistenceDescriptorsConstants PERSISTENCE_VERSION_3_2">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaImplementationProvider void setConnectionProperties(com.intellij.openapi.project.Project, com.intellij.jpa.model.xml.persistence.PersistenceUnit, com.intellij.database.model.RawConnectionConfig, com.intellij.credentialStore.Credentials)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleUtils com.intellij.jpa.ConsoleTarget suggestAssignDatasourceIfNeeded(com.intellij.persistence.model.PersistencePackagePointer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaQueryLanguageSubstitutor com.intellij.lang.Language chooseLanguage(com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JavaeePersistenceDescriptorsConstants ORM_VERSION_3_2">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JavaeePersistenceDescriptorsConstants">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil JOIN_COLUMN_INFO_PROVIDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.TableInfo schema">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaScopeModel JpaScopeModel(com.intellij.jpa.model.xml.persistence.mapping.RelationAttributeBase)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaQueryReferenceProvider.QueryReference QueryReference(com.intellij.psi.PsiElement, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil.QuotedPsiReferenceBase QuotedPsiReferenceBase(com.intellij.jpa.ORMReferencesUtil.PsiElementInfo&lt;? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil com.intellij.psi.PsiClass getTargetClass(org.jetbrains.uast.UElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleUtils">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaQueryLanguageSubstitutor com.intellij.jpa.ql.JpqlLanguage getLanguage(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil com.intellij.psi.PsiReference[] getStringBasedReferences(com.intellij.jpa.jpb.model.orm.model.OrmFramework, com.intellij.psi.PsiElement, com.intellij.util.Function&lt;? super org.jetbrains.uast.UElement,? extends java.util.Collection&lt;com.intellij.database.psi.DbElement&gt;&gt;, com.intellij.util.Function&lt;? super com.intellij.database.psi.DbElement,? extends com.intellij.codeInsight.lookup.LookupElement&gt;, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaConsoleProvider boolean isAvailable(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.PersistenceUnitFileType">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.ORMReferencesUtil DEFAULT_NAMING_STRATEGY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaPersistenceManipulator">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jpa.JpaEntityLineMarkerActionsProvider java.util.Collection&lt;? extends com.intellij.openapi.actionSystem.AnAction&gt; getEntityActions(com.intellij.psi.SmartPsiElementPointer&lt;com.intellij.psi.PsiElement&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
</root>
